last sync: 2020-Jul-02 13:28:37 UTC

Azure Policy

[Deprecated]: Require SQL Server version 12.0

Policy DisplayName [Deprecated]: Require SQL Server version 12.0
Policy Id 464dbb85-3d5f-4a1d-bb09-95a9b5dd19cf
Policy Category SQL
Policy Description This policy ensures all SQL servers use version 12.0. This policy is deprecated because it is no longer possible to create an Azure SQL server with any version other than 12.0.
Policy Mode Indexed
Policy Type BuiltIn
Policy in Preview FALSE
Policy Deprecated True
Policy Effect Fixed: Deny
Roles used none
Policy Changes
Date/Time (UTC ymd) (i) Change Change detail
2019-10-29 21:52:54 change: DisplayName previous DisplayName: Require SQL Server version 12.0
Used in Policy Initiative(s) none
Policy Rule
{
  "properties": {
  "displayName": "[Deprecated]: Require SQL Server version 12.0",
    "policyType": "BuiltIn",
    "mode": "Indexed",
    "description": "This policy ensures all SQL servers use version 12.0. This policy is deprecated because it is no longer possible to create an Azure SQL server with any version other than 12.0.",
    "metadata": {
      "version": "1.0.0-deprecated",
      "category": "SQL",
      "deprecated": true
    },
    "parameters": {
      
    },
    "policyRule": {
      "if": {
        "allOf": [
          {
            "field": "type",
            "equals": "Microsoft.Sql/servers"
          },
          {
            "not": {
              "field": "Microsoft.Sql/servers/version",
              "equals": "12.0"
            }
          }
        ]
      },
      "then": {
        "effect": "Deny"
      }
    }
  },
  "id": "/providers/Microsoft.Authorization/policyDefinitions/464dbb85-3d5f-4a1d-bb09-95a9b5dd19cf",
  "type": "Microsoft.Authorization/policyDefinitions",
  "name": "464dbb85-3d5f-4a1d-bb09-95a9b5dd19cf"
}